@mixin clearfix() {
  &:before,
  &:after {
    content: '';
    display: table;
    clear: both;
  }
}

@mixin min-max($min-width, $max-width, $padding) {
  min-width: $min-width;
  max-width: $max-width;
  padding: 0 $padding;
  box-sizing: border-box;
  margin: 0 auto;
}

@mixin adaptive-video() {
  position: relative;
  padding-bottom: 56.25%; /* задаёт высоту контейнера для 16:9 (если 4:3 — поставьте 75%) */
  padding-top: 30px;
  height: 0;
  overflow: hidden;

  iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
  }

}

@mixin visually-hidden() {
  position: absolute;
  width: 1px;
  height: 1px;
  margin: -1px;
  border: 0;
  padding: 0;
  white-space: nowrap;
  clip-path: inset(100%);
  clip: rect(0,0,0,0);
  overflow: hidden;
}
.save{
  box-shadow: 0 10px 38px rgba(48, 104, 232, 0.25);
  border-radius: 30px;
  background-image: linear-gradient(42deg, #2450d0 0%, #3069e9 100%);
  color: #ffffff;
  font-family: 'Geometria';
  font-size: 14px;
  font-weight: 400;
  line-height: 15px;
  padding: 11px 40px 11px 41px;
  border: none;
  outline: none;
  cursor: pointer;
  &:hover{
    background-image: linear-gradient(42deg, #3069e9 0%, #2450d0 100%);

  }
}
.save-new{
  border-radius: 22px;
  background-image: linear-gradient(to top, #2450d0 0%, #3069e9 100%);
  padding: 15px 35px 16px 39px;
  color: #ffffff;
  font-size: 14px;
  font-weight: 400;
  line-height: 15px;
  transition-duration: 500ms;
  transition-property: transform;
  cursor: pointer;
  outline: none;
  box-shadow: none;
  border: none;
  &:hover {
    transform: scale(1.05);
  }
}
.block-sort{
  width: 280px;
  position: relative;
  .headSort{
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    cursor: pointer;
    .text-sort{
      color: #393939;
      font-size: 14px;
      font-weight: 400;
      line-height: 14.93px;
    }
    .text-sortBlue{
      color: #2a5ede;
      font-family: 'Geometria Bold';
      font-size: 14px;
      font-weight: 700;
      line-height: 14.93px;
    }
    .down{
      width: 16px;
      height: 16px;
      fill: #cdcdcd;
      transform: rotate(90deg);
    }
  }
  .openSort{
    .down {
      transform: rotate(270deg);
    }
  }
  .bodySort{
    display: block;
    z-index: 99;
    position: absolute;
    top: calc(100% + 10px);
    width: calc(100% - 40px);
    padding: 20px;
    box-shadow: 0 20px 32px rgba(147, 147, 147, 0.18);
    border-radius: 5px;
    background-color: #efefef;
    max-height: 400px;
    overflow: hidden;
    .text-login{
      color: #a1a1a1;
      font-family: Geometria;
      font-size: 14px;
      font-weight: 400;
      line-height: 20px;
      transition-duration: 500ms;
      transition-property: color;
      &:hover{
        color: #2b5ede;
        cursor: pointer;
      }
    }
    .active-login{
      color: #2b5ede;

    }
  }

}

